@import "@/styles/variables";

.local-container {
    row-gap: 1.5rem !important;

    @include tablet {
        row-gap: 1rem !important;
    }
}

.filter-search-favourites-container {
    grid-column: 1 / -1;
    display: grid;
    grid-template-areas: "favourites" "search";
    gap: 1rem;
    margin-top: 1rem;
    width: 100%;

    @include desktop {
        grid-template-areas: "search" "favourites";
        align-items: flex-end;
    }
}

.search-container {
    grid-area: search;
    display: grid;
    grid-template-rows: repeat(2, max-content);
    gap: 1rem;

    @include tablet {
        margin-top: 1rem;
        grid-template-rows: 1fr;
        grid-template-columns: auto 1fr;
    }

    .button-add {
        grid-column: 1 / -1;
        width: 100%;

        @include tablet {
            width: fit-content;
            grid-column: 1 / 2;
            grid-row: 1 / 2;
            justify-self: flex-end;
        }

        @include notebook {
            grid-column: 2 / 3;
            grid-row: 1 / 2;
        }
    }
}

.favourites-container {
    grid-area: favourites;
    width: 100%;
    height: 2.5rem;

    @include desktop {
        grid-column: 2 / 3;
        grid-row: 1 / 2;
    }
}

.data-container {
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 1rem;
    height: fit-content;
}

.page-nav {
    grid-column: 1 / -1;
    display: flex;
    justify-content: flex-start;
    list-style: none;
    background-color: white;
    border-top: 1px solid $gray-300;

    @include smallscreen {
        display: none;
    }

    a {
        text-decoration: none;
        padding: 0.5rem 1rem;

        &:hover,
        &:active,
        &:focus,
        &:focus-visible {
            text-decoration: none;
            border-bottom: 2px solid $blue-500;
            padding: 1rem;
            font-weight: 700;
        }
    }

    ul {
        display: flex;
        justify-content: flex-start;
        list-style: none;
    }

    li {
        padding: 1rem 0;
    }

    .active {
        border-bottom: 2px solid $blue-500;
        padding: 1rem !important;
        font-weight: 700;
    }
}
